> ## Documentation Index
> Fetch the complete documentation index at: https://docs.voxo.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Send MMS

> Send an MMS message with media files to one or more recipients



## OpenAPI

````yaml https://api.voxo.co/v2/docs/openapi.json post /v2/messaging/messages/send-mms
openapi: 3.1.0
info:
  title: VOXO API
  description: VOXO Communication Platform API
  version: 2.0.0
servers:
  - url: https://api.voxo.co
security:
  - bearerAuth: []
paths:
  /v2/messaging/messages/send-mms:
    post:
      tags:
        - Messaging
      summary: Send MMS
      description: Send an MMS message with media files to one or more recipients
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                tenantId:
                  type: number
                  exclusiveMinimum: 0
                  description: Tenant ID
                from:
                  type: string
                  pattern: ^[1-9]\d{9}$
                  description: Sender phone number (10 digits)
                to:
                  type: array
                  items:
                    type: string
                    pattern: ^[1-9]\d*$
                  description: Recipient phone numbers
                text:
                  description: Message text
                  type: string
                  minLength: 0
                mediaUrls:
                  description: Media file URLs to attach
                  type: array
                  items:
                    type: string
              required:
                - tenantId
                - from
                - to
              additionalProperties: false
      responses:
        '200':
          description: MMS sent
          content:
            application/json:
              schema:
                type: object
                properties:
                  createdConversations:
                    type: array
                    items: {}
                    description: Newly created conversations
                  postBody:
                    description: Original request body
                  updatedAt:
                    anyOf:
                      - type: string
                      - type: 'null'
                    description: Updated timestamp
                  id:
                    anyOf:
                      - type: number
                      - type: 'null'
                    description: Last message ID
                required:
                  - createdConversations
                  - postBody
                  - updatedAt
                additionalProperties: false
        '400':
          description: Error response
          content:
            application/json:
              schema:
                type: object
                properties:
                  name:
                    type: string
                  message:
                    type: string
                  code:
                    type: number
                  validationErrors:
                    type: array
                    items:
                      type: string
                required:
                  - name
                  - message
                  - code
                additionalProperties: false
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````